.header-navigation {
    position: relative;
}

/* ===== Header ===== */
.blog-header {
    text-align: center;
    /* min-height: 480px; */
    padding: 80px 20px;
    background: url(../img/blog-page-banner-1.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    /* background: linear-gradient(135deg, #e6f4ff, #f3fbff); */
}

.blog-header h1 {
    font-size: 36px;
    margin-bottom: 10px;
    font-weight: 600;
    color: #ffa60a;
    margin: 0 0 20px 0;
    letter-spacing: 0.5px;
}

.blog-header p {
    /* max-width: 700px; */
    margin: 0 auto 30px;
    font-size: 16px;
    color: #fff;
    line-height: 30px;
    font-weight: 300;
}

/* ===== Select ===== */

.category-out {
    display: flex;
    justify-content: center;
    margin-bottom: 25px;
}

.category-select {
    max-width: 720px;
    width: 100%;
    padding: 15px 25px;
    border-radius: 100px;
    border: 2px solid #0a57f530;
    font-size: 17px;
    outline: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    box-shadow: 0 5px 30px rgba(39, 39, 51, .1);
    background: #fff url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right 25px center;
    background-size: 16px 12px;
}

/* ===== Blog Container ===== */
.blog-container {
    /* max-width: 1200px; */
    /* margin: 50px auto;
    padding: 0 20px; */
    padding: 50px 0px;
}

/* .blog-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(322px, 1fr));
    gap: 20px;
    justify-items: center;
} */

.blog-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, 376px);
    gap: 20px;
    /* justify-content: start; */
    /* 🔥 important */
    justify-content: center;
}

/* ===== Blog Card ===== */
.blog-card {
    width: 100%;
    max-width: 376px;
    /* ⭐ card size fixed */
    background: #fff;
    border-radius: 12px;
    overflow: hidden;
    /* box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08); */

    box-shadow: 0 10px 15px rgba(0, 0, 0, 0.08);
    transition: transform .3s ease;
    border: 1px solid rgba(0, 0, 0, 0.21);
}

.blog-card:hover {
    transform: translateY(-5px);
}

.blog-card img {
    width: 100%;
    height: 200px;
    object-fit: cover;
}

/* ===== Content ===== */
.blog-content {
    padding: 20px;
}

.blog-category {
    display: inline-block;
    font-size: 12px;
    text-transform: uppercase;
    font-weight: 500;
    color: #232323;
    margin-bottom: 6px;
    background: #ffa60aeb;
    padding: 0px 15px;
    border-radius: 50px;
    line-height: 26px;
}

.blog-title {
    font-size: 18px;
    margin: 6px 0;
    line-height: 1.6;
    color: #232323;
    font-weight: 500;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* ⭐ only 3 lines */
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.blog-meta {
    font-size: 14px;
    color: #535353bd;
    margin-bottom: 10px;
    font-weight: 400;
}

.blog-desc {
    font-size: 15px;
    color: #484848;
    line-height: 1.6;
    font-weight: 400;

    display: -webkit-box;
    -webkit-line-clamp: 3;
    /* ⭐ only 3 lines */
    -webkit-box-orient: vertical;
    overflow: hidden;
}

/* ===== Responsive ===== */
@media(max-width: 480px) {
    .blog-card {
        max-width: 100%;
    }

    .blog-header h1 {
        font-size: 28px;
    }
}



/* ===== Category Badges ===== */
.category-badges {
    gap: 10px;
    align-items: center;
    margin-bottom: 0px;
    margin-top: 30px;
    color: #ffa60a;
}

.category-badges .badge {
    background: #e8f0fe;
    border-radius: 20px;
    padding: 10px 15px;
    transition: all 0.3s ease;
}

.category-badges .badge a {
    text-decoration: none;
    font-size: 13px;
    font-weight: 500;
    color: #1a73e8;
    white-space: nowrap;
}

/* Hover */
.category-badges .badge:hover {
    background: #1a73e8;
}

.category-badges .badge:hover a {
    color: #fff;
}



.pagination-wraps {
    display: flex;
    justify-content: center;
    margin: 40px 0 0;
}

.pagination-wraps .pagination {
    display: flex;
    align-items: center;
    list-style: none;
    padding: 0;
    margin: 0;
    gap: 8px;
}

.pagination-wraps .page-link {
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 42px;
    height: 42px;
    padding: 0 10px;
    border-radius: 100% !important;
    text-decoration: none;
    font-size: 16px;
    color: #232323 !important;
    background: transparent;
    transition: all 0.3s ease;
    font-weight: 400;
    line-height: 40px !important;
}

/* Hover */
.pagination-wraps .page-link:hover {
    background: #e8f0fe;
}

/* Active */
.pagination-wraps .page-item.active .page-link {
    background: #15396d;
    color: #fff !important;
    font-weight: 600;
}

/* Arrows */
.pagination-wraps .page-link.arrow {
    background: #15396d;
    color: #ffa60aeb !important;
}

.pagination-wraps .page-link.arrow:hover {
    background: #15396d;
}

/* Dots */
.pagination-wraps .page-item.dots .page-link {
    cursor: default;
    color: #666;
}

/* ===== Mobile Responsive ===== */
@media (max-width: 480px) {
    .pagination-wraps .pagination li:not(.active):not(:first-child):not(:last-child) {
        display: none;
    }

    .pagination-wraps .pagination .dots {
        display: none;
    }
}




.newsletter {
    background: linear-gradient(-45deg, #113160 0%, #215094 100%);
    padding: 50px 20px;
    text-align: center;
}

.newsletter h2 {
    font-size: 32px;
    font-weight: 600;
    margin-bottom: 40px;
    color: #fff;
    line-height: 52px;
}

/* ===== Form ===== */
.newsletter-form {
    max-width: 760px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    background: #fff;
    border-radius: 50px;
    padding: 0px;
    box-shadow: 0 20px 40px rgba(0, 0, 0, 0.08);
}

.newsletter-form input {
    flex: 1;
    border: none;
    padding: 16px 22px;
    font-size: 18px;
    border-radius: 50px;
    outline: none;
}

.newsletter-form button {
    border: none;
    padding: 16px 30px;
    font-size: 20px;
    font-weight: 600;
    color: #232323;
    border-radius: 40px;
    cursor: pointer;
    background: linear-gradient(135deg, #ffa60a, #ffa60a);
    transition: all 0.3s ease;
}

.newsletter-form button:hover {
    transform: translateY(-1px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.15);
}

/* ===== Mobile ===== */
@media (max-width: 600px) {
    .newsletter h2 {
        font-size: 24px;
    }

    .newsletter-form {
        flex-direction: column;
        padding: 10px;
        border-radius: 20px;
    }

    .newsletter-form input {
        width: 100%;
        margin-bottom: 10px;
    }

    .newsletter-form button {
        width: 100%;
    }
}




.blog-hero {
    background: url(../img/blog-page-banner-1.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    padding: 50px 0px;
    position: relative;
    overflow: hidden;
}

.hero-container {
    /*    max-width: 1200px;*/
    margin: auto;
    display: flex;
    align-items: center;
    gap: 0;
}

/* ===== Left Content ===== */
.hero-content {
    flex: 1;
    padding-right: 30px
}

.hero-category {
    font-size: 20px;
    margin-bottom: 15px;
    color: #fff;
}

.hero-category a {
    color: #fff;
    font-weight: 500;
    text-decoration: none;
}

.hero-category span {
    margin: 0 6px;
}

.hero-content h1 {
    font-size: 42px;
    line-height: 1.40;
    margin-bottom: 25px;
    color: #1f2937;
    font-weight: 600;
    color: #ffa60a;
    /* margin: 0 0 20px 0; */
    /*	letter-spacing: 0.5px;*/
}

.hero-meta {
    font-size: 15px;
    color: #fff;
    font-weight: 500;
}

.hero-meta span {
    margin: 0 8px;
}

/* ===== Author ===== */
.hero-author {
    display: flex;
    align-items: center;
    gap: 15px;
}

.hero-author img {
    width: 48px;
    height: 48px;
    border-radius: 50%;
}

.hero-author p {
    font-size: 14px;
    color: #1f2937;
}

.hero-author span {
    display: block;
    font-size: 13px;
    color: #374151;
}

/* ===== Right Image ===== */
.hero-image {
	flex: 0 0 360px;
	position: relative;
	border-right: 5px solid #ffa60a;
	border-bottom: 5px solid #ffa60a;
	border-radius: 20px;
	height: 320px;
	background-color: #fff;
	overflow: hidden;
	align-items: center;
	display: flex;
}

/* .hero-image::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #ffa60a;
    z-index: -1;
} */

/*
.hero-image img {
	width: 100%;
	border-radius: 16px;
	background: #fff;
	height: 320px;
}
*/

.hero-image img {
/*
	width: 100%;
	border-radius: 0;
	background: #fff;
	min-height: 70%;
*/
    
    transition: all 0.4s ease;
  height: 100%;
  width: 100%;
  object-fit: cover;
}

/* ===== Responsive ===== */
@media (max-width: 992px) {
    .hero-content h1 {
        font-size: 34px;
    }
}

@media (max-width: 768px) {
    .hero-container {
        flex-direction: column;
        text-align: center;
    }

    .hero-author {
        justify-content: center;
    }

    .hero-image {
        max-width: 260px;
    }
}

@media (max-width: 480px) {
    .blog-hero {
        padding: 60px 15px;
    }

    .hero-content h1 {
        font-size: 26px;
    }
}

.blog-details {
    max-width: 980px;
    margin: auto;
}


.blog-details p {
    font-size: 16px;
    line-height: 30px;
    color: #232323de;
    margin-bottom: 20px;
    font-weight: 400;
    text-align: justify;
}


.blog-details h2 {
    font-size: 24px;
    margin: 6px 0;
    line-height: 1.6;
    color: #232323;
    font-weight: 500;
}

.blog-details-img {
    margin: 20px 0;
}

.blog-details-img img {
    width: 100%;
    border-radius: 16px;
    background: #fff;
}

.blog-details ul {
    margin: 0px;
    padding: 0px;
    list-style-type: disc;
    padding-left: 2rem;

}

.blog-details ul li {
    color: #232323;
    font-size: 16px;
    line-height: 30px;
    margin-bottom: 10px;
    font-weight: 400;
}

.blog-wrapping-up {
    background-color: #f0f7f7 !important;
    padding-top: 2rem !important;
    padding-bottom: 2rem !important;
    padding-right: 1.5rem !important;
    padding-left: 1.5rem !important;
    border-radius: 16px;
}

.blog-wrapping-up p {
    margin: 0px;
    padding: 0px;
}


.blog-slider-section {
    padding: 50px 0px;
    background: linear-gradient(-45deg, #113160 0%, #215094 100%);
}

.blog-slider-section h2 {
    font-size: 32px;
    font-weight: 600;
    margin-bottom: 20px;
    color: #fff;
    line-height: 52px;
    text-align: center;
}

.blog-slider {}

.blog-slider .blog-card {
    background: #fff;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 6px 20px rgba(0, 0, 0, 0.08);
    height: auto;
    margin: 0 auto;
}

.blog-slider .owl-dots .owl-dot span {
    width: 15px !important;
    height: 15px !important;
    margin: 5px 5px !important;
    background: #D6D6D6 !important;
    display: block !important;
    -webkit-backface-visibility: visible !important;
    transition: opacity .2s ease !important;
    border-radius: 100px !important;
}

.blog-slider .owl-dots .owl-dot.active span,
.blog-slider .owl-dots .owl-dot:hover span {
    background: #ffa60a !important;
}